From 7cd9fec04c276f01125fccb328e6079fa17e24b0 Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Dec 21 2020 23:03:23 +0000
Subject: [PATCH 1766/2232] Touch up Pair and RustName construction for consistency


---

diff --git a/syntax/names.rs b/syntax/names.rs
index 4aed656..09169cb 100644
--- a/syntax/names.rs
+++ b/syntax/names.rs
@@ -4,7 +4,7 @@ use std::iter;
 
 impl Pair {
     pub fn new(namespace: Namespace, cxx: Ident, rust: Ident) -> Self {
-        Self {
+        Pair {
             namespace,
             cxx,
             rust,
@@ -30,12 +30,12 @@ impl Pair {
 }
 
 impl RustName {
-    pub fn new(ident: Ident) -> Self {
-        Self { rust: ident }
+    pub fn new(rust: Ident) -> Self {
+        RustName { rust }
     }
 
-    pub fn from_ref(ident: &Ident) -> &Self {
-        unsafe { &*(ident as *const Ident as *const Self) }
+    pub fn from_ref(rust: &Ident) -> &Self {
+        unsafe { &*(rust as *const Ident as *const Self) }
     }
 
     pub fn span(&self) -> Span {

